/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

export const mockSamlResponses = {
  set1: {
    requestId: '_mock_request_id_1',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMSI=',
    redirectURL: '/path1',
  },
  set2: {
    requestId: '_mock_request_id_2',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMiI=',
    redirectURL: '/path2',
  },
  set3: {
    requestId: '_mock_request_id_3',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMyI=',
    redirectURL: '/path3',
  },
  set4: {
    requestId: '_mock_request_id_4',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNCI=',
    redirectURL: '/path4',
  },
  set5: {
    requestId: '_mock_request_id_5',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNSI=',
    redirectURL: '/path5',
  },
  set6: {
    requestId: '_mock_request_id_6',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNiI=',
    redirectURL: '/path6',
  },
  set7: {
    requestId: '_mock_request_id_7',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNyI=',
    redirectURL: '/path7',
  },
  set8: {
    requestId: '_mock_request_id_8',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfOCI=',
    redirectURL: '/path8',
  },
  set9: {
    requestId: '_mock_request_id_9',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfOSI=',
    redirectURL: '/path9',
  },
  set10: {
    requestId: '_mock_request_id_10',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTAi=',
    redirectURL: '/path10',
  },
  set11: {
    requestId: '_mock_request_id_11',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTEi=',
    redirectURL: '/path11',
  },
  set12: {
    requestId: '_mock_request_id_12',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTIi=',
    redirectURL: '/path12',
  },
  set13: {
    requestId: '_mock_request_id_13',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTMi=',
    redirectURL: '/path13',
  },
  set14: {
    requestId: '_mock_request_id_14',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTQi=',
    redirectURL: '/path14',
  },
  set15: {
    requestId: '_mock_request_id_15',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTUi=',
    redirectURL: '/path15',
  },
  set16: {
    requestId: '_mock_request_id_16',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTYi=',
    redirectURL: '/path16',
  },
  set17: {
    requestId: '_mock_request_id_17',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTci=',
    redirectURL: '/path17',
  },
  set18: {
    requestId: '_mock_request_id_18',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTgi+',
    redirectURL: '/path18',
  },
  set19: {
    requestId: '_mock_request_id_19',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMTki=',
    redirectURL: '/path19',
  },
  set20: {
    requestId: '_mock_request_id_20',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjAi=',
    redirectURL: '/path20',
  },
  set21: {
    requestId: '_mock_request_id_21',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjEi=',
    redirectURL: '/path21',
  },
  set22: {
    requestId: '_mock_request_id_22',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjIi=',
    redirectURL: '/path22',
  },
  set23: {
    requestId: '_mock_request_id_23',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjMi=',
    redirectURL: '/path23',
  },
  set24: {
    requestId: '_mock_request_id_24',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjQi=',
    redirectURL: '/path24',
  },
  set25: {
    requestId: '_mock_request_id_25',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjUi=',
    redirectURL: '/path25',
  },
  set26: {
    requestId: '_mock_request_id_26',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjYi=',
    redirectURL: '/path26',
  },
  set27: {
    requestId: '_mock_request_id_27',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjci=',
    redirectURL: '/path27',
  },
  set28: {
    requestId: '_mock_request_id_28',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjgi=',
    redirectURL: '/path28',
  },
  set29: {
    requestId: '_mock_request_id_29',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMjki=',
    redirectURL: '/path29',
  },
  set30: {
    requestId: '_mock_request_id_30',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzAi=',
    redirectURL: '/path30',
  },
  set31: {
    requestId: '_mock_request_id_31',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzEi=',
    redirectURL: '/path31',
  },
  set32: {
    requestId: '_mock_request_id_32',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzIi=',
    redirectURL: '/path32',
  },
  set33: {
    requestId: '_mock_request_id_33',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzMi=',
    redirectURL: '/path33',
  },
  set34: {
    requestId: '_mock_request_id_34',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzQi=',
    redirectURL: '/path34',
  },
  set35: {
    requestId: '_mock_request_id_35',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzUi=',
    redirectURL: '/path35',
  },
  set36: {
    requestId: '_mock_request_id_36',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzYi=',
    redirectURL: '/path36',
  },
  set37: {
    requestId: '_mock_request_id_37',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzci=',
    redirectURL: '/path37',
  },
  set38: {
    requestId: '_mock_request_id_38',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzgi=',
    redirectURL: '/path38',
  },
  set39: {
    requestId: '_mock_request_id_39',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfMzki=',
    redirectURL: '/path39',
  },
  set40: {
    requestId: '_mock_request_id_40',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDAi=',
    redirectURL: '/path40',
  },
  set41: {
    requestId: '_mock_request_id_41',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDEi=',
    redirectURL: '/path41',
  },
  set42: {
    requestId: '_mock_request_id_42',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDIi=',
    redirectURL: '/path42',
  },
  set43: {
    requestId: '_mock_request_id_43',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDMi=',
    redirectURL: '/path43',
  },
  set44: {
    requestId: '_mock_request_id_44',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDQi=',
    redirectURL: '/path44',
  },
  set45: {
    requestId: '_mock_request_id_45',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDUi=',
    redirectURL: '/path45',
  },
  set46: {
    requestId: '_mock_request_id_46',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDYi=',
    redirectURL: '/path46',
  },
  set47: {
    requestId: '_mock_request_id_47',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDci=',
    redirectURL: '/path47',
  },
  set48: {
    requestId: '_mock_request_id_48',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDgi=',
    redirectURL: '/path48',
  },
  set49: {
    requestId: '_mock_request_id_49',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNDki=',
    redirectURL: '/path49',
  },
  set50: {
    requestId: '_mock_request_id_50',
    samlResponse: 'VGVzdFNBTUxSZXNwb25zZTxJblJlc3BvbnNlVG89Il9tb2NrX3JlcXVlc3RfaWRfNTAi=',
    redirectURL: '/path50',
  },
};
